Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.instruct
Class GlobalParameterSet

    java.lang.Object
      net.sf.saxon.instruct.GlobalParameterSet

public class GlobalParameterSet
extends java.lang.Object

A GlobalParameterSet is a set of parameters supplied when invoking a stylesheet or query. It is a collection of name-value pairs, the names being represented by numeric references to the NamePool. The values are objects, as supplied by the caller: conversion of the object to a required type takes place when the parameter is actually used.

Constructor Summary
`GlobalParameterSet()` Create an empty parameter set
`GlobalParameterSet(GlobalParameterSet existing)` Create a parameter set as a copy of an existing parameter set

Method Summary
`void` | `clear()` Clear all values
`java.lang.Object` | `get(int fingerprint)` Get a parameter
`void` | `put(int fingerprint, java.lang.Object value)` Add a parameter to the ParameterSet

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalParameterSet

    public GlobalParameterSet()

  Create an empty parameter set

### GlobalParameterSet

    public GlobalParameterSet(GlobalParameterSet existing)

  Create a parameter set as a copy of an existing parameter set

Method Detail

### put

    public void put(int fingerprint,
                    java.lang.Object value)

  Add a parameter to the ParameterSet

  Parameters:
    `fingerprint` - The fingerprint of the parameter name.
    `value` - The value of the parameter

### get

    public java.lang.Object get(int fingerprint)

  Get a parameter

  Parameters:
    `fingerprint` - The fingerprint of the name.
  Returns:
    The value of the parameter, or null if not defined

### clear

    public void clear()

  Clear all values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD